ChangeSet 1.962, 2002/12/27 15:02:58-08:00, greg@kroah.com

[PATCH] USB skeleton driver: remove direct calls to dev_set* and dev_get*

change dev_set_drvdata() and dev_get_drvdata() to
usb_set_intfdata() and usb_get_intfdata()


diff -Nru a/drivers/usb/usb-skeleton.c b/drivers/usb/usb-skeleton.c
--- a/drivers/usb/usb-skeleton.c	Fri Dec 27 23:56:08 2002
+++ b/drivers/usb/usb-skeleton.c	Fri Dec 27 23:56:08 2002
@@ -582,7 +582,7 @@
 
 exit:
 	if (dev) {
-		dev_set_drvdata (&interface->dev, dev);
+		usb_set_intfdata (interface, dev);
 		return 0;
 	}
 	return -ENODEV;
@@ -599,8 +599,8 @@
 	struct usb_skel *dev;
 	int minor;
 
-	dev = dev_get_drvdata (&interface->dev);
-	dev_set_drvdata (&interface->dev, NULL);
+	dev = usb_get_intfdata (interface);
+	usb_set_intfdata (interface, NULL);
 
 	if (!dev)
 		return;
